#include <9pm/u.h>
#include <9pm/libc.h>
#include "dat.h"
#include "fns.h"

void
_assert(char *s, char *file, int line)
{
	char buf[256];

	if(file)
		snprint(buf, sizeof buf, "assertion failed: %s:%d: %s\n", file, line, s);
	else
		snprint(buf, sizeof buf, "assertion failed: %s\n", s);
	dwrite(buf);
	abort();
}
